curl --request GET \
--url https://api-sb.meld.io/institutions/{institutionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/institutions/{institutionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/institutions/{institutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aliases": [
"<string>"
],
"domain": "<string>",
"id": "<string>",
"images": {
"icon": "<string>",
"tile": "<string>",
"wide": "<string>"
},
"isTest": true,
"key": "<string>",
"name": "<string>",
"providers": {},
"rank": 123,
"subName": "<string>",
"type": "<string>"
}""Get institution
This endpoint allows you to get an institution by id, as well as the service provider metadata such as name, URL, and logos for each service provider configured to your account that support this institution
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
"2026-02-03"
Path Parameters
Institution id
Response
Institution is returned
List of aliases for the institution
Base url for the institution
Institution's Meld Id
Images
Show child attributes
Show child attributes
If the institution is a test institution
The key of the institution in the paginated list of results
Name
Mapped service provider institutions
Show child attributes
Show child attributes
Institution's popularity score, which is used to rank institutions in the bank linking connect widget
Alternate name that may be provided by the service provider
Type of the institution